Debian Bug report logs - #469970
agsync: FTBFS: libtool: link: `/usr/lib/libgobject-2.0.la' is not a valid libtool archive

version graph

Package: libsynce0-dev; Maintainer for libsynce0-dev is Jonny Lamb <jonny@debian.org>; Source for libsynce0-dev is src:libsynce.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 13 Feb 2008 16:58:16 UTC

Severity: serious

Tags: patch

Fixed in version libsynce/0.11-3

Done: Jonny Lamb <jonnylamb@jonnylamb.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Volker Christian <voc@debian.org>:
Bug#465639; Package agsync. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Volker Christian <voc@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: agsync: FTBFS: libtool: link: `/usr/lib/libgobject-2.0.la' is not a valid libtool archive
Date: Wed, 13 Feb 2008 17:24:19 +0100
Package: agsync
Version: 0.2-pre-9
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080212 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
> ar cru .libs/libmal-funcs.a  AGArray.o AGBase64.o AGBufferedNet.o AGBufferReader.o AGBufferWriter.o AGCollection.o AGDBConfig.o AGDeviceInfo.o AGDigest.o AGLocationConfig.o AGMD5.o AGMsg.o AGNet.o AGProtectedMem.o AGProtocol.o AGProxy.o AGReader.o AGRecord.o AGServerConfig.o AGSynchronize.o AGUserConfig.o AGUtilUnix.o AGWriter.o md5.o AGClientProcessor.o AGCommandProcessor.o AGProxyDebug.o AGSyncProcessor.o
> ranlib .libs/libmal-funcs.a
> creating libmal-funcs.la
> /bin/sed: can't read /usr/lib/libgobject-2.0.la: No such file or directory
> libtool: link: `/usr/lib/libgobject-2.0.la' is not a valid libtool archive
> make[4]: *** [libmal-funcs.la] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2008/02/12

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Volker Christian <voc@debian.org>:
Bug#465639; Package agsync. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Volker Christian <voc@debian.org>. Full text and rfc822 format available.

Message #10 received at 465639@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 465639@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Missing Depends
Date: Tue, 26 Feb 2008 23:24:00 +0000
[Message part 1 (text/plain, inline)]
tags 465639 + patch pending
quit

This appears to be a simple missing Build-Depends on libglib2.0-dev.

I'm happy to do an NMU.

interdiff below:

diff -u agsync-0.2-pre/debian/changelog agsync-0.2-pre/debian/changelog
--- agsync-0.2-pre/debian/changelog
+++ agsync-0.2-pre/debian/changelog
@@ -1,3 +1,11 @@
+agsync (0.2-pre-9.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * FTBFS: libtool: link: `/usr/lib/libgobject-2.0.la&#39; is not a
+    valid libtool archive. (Missing Depends) (Closes: #465639)
+
+ -- Neil Williams <codehelp@debian.org>  Tue, 26 Feb 2008 23:05:18
+0000
+
 agsync (0.2-pre-9) unstable; urgency=low
 
   * Fixed a potential segfault
diff -u agsync-0.2-pre/debian/control agsync-0.2-pre/debian/control
--- agsync-0.2-pre/debian/control
+++ agsync-0.2-pre/debian/control
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Volker Christian <voc@debian.org>
-Build-Depends: debhelper (>> 4.0.0), libsynce0-dev, librapi2-dev,
docbook-to-man, autotools-dev, autoconf, automake1.7, libtool
+Build-Depends: debhelper (>> 4.0.0), libsynce0-dev, librapi2-dev,
docbook-to-man, autotools-dev, autoconf, automake1.7, libtool,
libglib2.0-dev
 Standards-Version: 3.6.2
 
 Package: agsync-dev
diff -u agsync-0.2-pre/agsync.1 agsync-0.2-pre/agsync.1
--- agsync-0.2-pre/agsync.1
+++ agsync-0.2-pre/agsync.1
@@ -44 +44 @@
-.\" created by instant / docbook-to-man, Tue 26 Feb 2008, 22:54 
+.\" created by instant / docbook-to-man, Tue 26 Feb 2008, 23:06 


-- 

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[signature.asc (application/pgp-signature, inline)]

Tags added: patch, pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 26 Feb 2008 23:39:03 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 465639-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 465639-close@bugs.debian.org
Subject: Bug#465639: fixed in agsync 0.2-pre-9.1
Date: Tue, 04 Mar 2008 11:02:03 +0000
Source: agsync
Source-Version: 0.2-pre-9.1

We believe that the bug you reported is fixed in the latest version of
agsync, which is due to be installed in the Debian FTP archive:

agsync-dev_0.2-pre-9.1_amd64.deb
  to pool/main/a/agsync/agsync-dev_0.2-pre-9.1_amd64.deb
agsync_0.2-pre-9.1.diff.gz
  to pool/main/a/agsync/agsync_0.2-pre-9.1.diff.gz
agsync_0.2-pre-9.1.dsc
  to pool/main/a/agsync/agsync_0.2-pre-9.1.dsc
agsync_0.2-pre-9.1_amd64.deb
  to pool/main/a/agsync/agsync_0.2-pre-9.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465639@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated agsync package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 04 Mar 2008 10:03:44 +0000
Source: agsync
Binary: agsync-dev agsync
Architecture: source amd64
Version: 0.2-pre-9.1
Distribution: unstable
Urgency: low
Maintainer: Volker Christian <voc@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 agsync     - Synchronization mediator for AvantGo and Pocket PC
 agsync-dev - Development files for AvantGo and Pocket PC synchronization
Closes: 449722 465639
Changes: 
 agsync (0.2-pre-9.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * FTBFS: libtool: link: `/usr/lib/libgobject-2.0.la' is not a valid
     libtool archive (Closes: #465639)
   * Fix watch file with mangling option. (Closes: #449722)
Files: 
 4a256b8a160a7c82b0ccc1d2eb82a238 688 libs optional agsync_0.2-pre-9.1.dsc
 33e8c9841aba5432391abb5577369dc2 307924 libs optional agsync_0.2-pre-9.1.diff.gz
 5ffc5179e15108e1d19dad38758d0fd3 86190 libdevel optional agsync-dev_0.2-pre-9.1_amd64.deb
 e98a36cbe25d52243d3f8f48fbbeac9b 75634 libs optional agsync_0.2-pre-9.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHzSjdiAEJSii8s+MRAi+gAJ9dC47CRTC861rry61Ui6oTrY0eKwCgswPL
U8wIH9C2A5iRW7ihESAl29U=
=geKB
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Volker Christian <voc@debian.org>:
Bug#465639; Package agsync. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Volker Christian <voc@debian.org>. Full text and rfc822 format available.

Message #22 received at 465639@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 465639@bugs.debian.org
Subject: Re: agsync: FTBFS: libtool: link: `/usr/lib/libgobject-2.0.la' is not a valid libtool archive
Date: Sat, 8 Mar 2008 02:43:16 -0800
reopen 465639
clone 465639 -1
reassign -1 libsynce0-dev
severity 465639 important
notfound 465639 0.2-pre-9
found 465639 0.2-pre-9.1
thanks

This was never a bug in agsync.  The bug was in libsynce0, for providing a
.la file that references other .la files that it doesn't depend on.

*Now* agsync has a bug, because it has a spurious build-dependency.  This
should be reverted; but of course it can't be before libsynce0-dev is fixed
properly.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 08 Mar 2008 10:45:06 GMT) Full text and rfc822 format available.

Bug 465639 cloned as bug 469970. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 08 Mar 2008 10:45:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `agsync' to `libsynce0-dev'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 08 Mar 2008 10:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonnylamb@jonnylamb.com>:
Bug#469970; Package libsynce0-dev. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonnylamb@jonnylamb.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #33 received at 469970@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: 469970@bugs.debian.org, control@bugs.debian.org
Date: Fri, 21 Mar 2008 14:16:14 +0600
[Message part 1 (text/plain, inline)]
tag 469970 patch
thanks

Attached is the patch removing .la file from the -dev as it is quite
useless on Debian.

-- 
[libsynce0-dev-remove-la-file.patch (text/x-diff, inline)]
diff -bur libsynce-0.11.orig/debian/libsynce0-dev.install libsynce-0.11/debian/libsynce0-dev.install
--- libsynce-0.11.orig/debian/libsynce0-dev.install	2008-03-21 14:12:38.000000000 +0600
+++ libsynce-0.11/debian/libsynce0-dev.install	2008-03-21 14:12:47.000000000 +0600
@@ -1,6 +1,5 @@
 debian/tmp/usr/include/*
 debian/tmp/usr/lib/*.a
-debian/tmp/usr/lib/*.la
 debian/tmp/usr/lib/*.so
 debian/tmp/usr/lib/pkgconfig/*
 debian/tmp/usr/share/man/man3/*

Tags added: patch Request was from Mikhail Gusarov <dottedmag@dottedmag.net> to control@bugs.debian.org. (Fri, 21 Mar 2008 08:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonnylamb@jonnylamb.com>:
Bug#469970; Package libsynce0-dev. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonnylamb@jonnylamb.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Tags added: patch Request was from Mikhail Gusarov <dottedmag@dottedmag.net> to control@bugs.debian.org. (Sat, 22 Mar 2008 15:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#469970; Package libsynce0-dev. Full text and rfc822 format available.

Acknowledgement sent to Jonny Lamb <jonnylamb@jonnylamb.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #47 received at 469970@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonnylamb@jonnylamb.com>
To: Mikhail Gusarov <dottedmag@dottedmag.net>, 469970@bugs.debian.org
Subject: Re: Bug#469970: (no subject)
Date: Tue, 1 Apr 2008 17:39:28 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Mar 21, 2008 at 02:16:14PM +0600, Mikhail Gusarov wrote:
> Attached is the patch removing .la file from the -dev as it is quite
> useless on Debian.

Thank you for your patch. However, I'm unsure as to why the .la file is
useless on Debian? The Debian Policy manual[0] says:

"Packages that use libtool to create shared libraries should include the
.la files in the -dev package"

So correct me if I'm wrong, but I believe the solution to the problem is
to simply correct the dependencies of libsynce as I've done[1] and is
now pending upload?

Regards,

0. http://www.debian.org/doc/debian-policy/ch-files.html#s-libraries
1. http://git.jonnylamb.com/?p=packaging/libsynce.git;a=commitdiff;h=50ba

-- 
Jonny Lamb, UK                                   jonnylamb@jonnylamb.com
http://jonnylamb.com                                     GPG: 0x2E039402
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonnylamb@jonnylamb.com>:
Bug#469970; Package libsynce0-dev. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonnylamb@jonnylamb.com>. Full text and rfc822 format available.

Message #52 received at 469970@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: 469970@bugs.debian.org
Subject: Re: Bug#469970: (no subject)
Date: Wed, 02 Apr 2008 00:14:24 +0700
[Message part 1 (text/plain, inline)]
Twas brillig at 17:39:28 01.04.2008 UTC+01 when Jonny Lamb did gyre and gimble:

 JL> Thank you for your patch. However, I'm unsure as to why the .la
 JL> file is useless on Debian? The Debian Policy manual[0] says:

 JL> "Packages that use libtool to create shared libraries should
 JL> include the .la files in the -dev package"

Hmm... You're right, policy says so.

.la are useless IMHO because all they provide is the workarounds for the
systems with inferior linkers and shared libraries, and GNU toolkit is
ok regarding libraries dependencies tracking and runtime linking.

Anyway, policy says ".la should be included", so let it be included.

-- 
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Jonny Lamb <jonnylamb@jonnylamb.com> to control@bugs.debian.org. (Tue, 01 Apr 2008 23:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#469970; Package libsynce0-dev. Full text and rfc822 format available.

Acknowledgement sent to Jonny Lamb <jonnylamb@jonnylamb.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #59 received at 469970@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonnylamb@jonnylamb.com>
To: 469970@bugs.debian.org
Subject: Prepared package
Date: Sun, 6 Apr 2008 12:32:25 +0100
[Message part 1 (text/plain, inline)]
Ready to upload...

http://compsoc.dur.ac.uk/~jdl/synce-0.11-packages/libsynce_0.11-3.dsc

-- 
Jonny Lamb, UK                                   jonnylamb@jonnylamb.com
http://jonnylamb.com                                     GPG: 0x2E039402
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonny Lamb <jonnylamb@jonnylamb.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #64 received at 469970-close@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonnylamb@jonnylamb.com>
To: 469970-close@bugs.debian.org
Subject: Bug#469970: fixed in libsynce 0.11-3
Date: Sun, 06 Apr 2008 12:17:07 +0000
Source: libsynce
Source-Version: 0.11-3

We believe that the bug you reported is fixed in the latest version of
libsynce, which is due to be installed in the Debian FTP archive:

libsynce-dbg_0.11-3_i386.deb
  to pool/main/libs/libsynce/libsynce-dbg_0.11-3_i386.deb
libsynce0-dev_0.11-3_i386.deb
  to pool/main/libs/libsynce/libsynce0-dev_0.11-3_i386.deb
libsynce0_0.11-3_i386.deb
  to pool/main/libs/libsynce/libsynce0_0.11-3_i386.deb
libsynce_0.11-3.diff.gz
  to pool/main/libs/libsynce/libsynce_0.11-3.diff.gz
libsynce_0.11-3.dsc
  to pool/main/libs/libsynce/libsynce_0.11-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469970@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonny Lamb <jonnylamb@jonnylamb.com> (supplier of updated libsynce package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 09 Mar 2008 15:03:48 +0000
Source: libsynce
Binary: libsynce0-dev libsynce-dbg libsynce0
Architecture: source i386
Version: 0.11-3
Distribution: unstable
Urgency: low
Maintainer: Jonny Lamb <jonnylamb@jonnylamb.com>
Changed-By: Jonny Lamb <jonnylamb@jonnylamb.com>
Description: 
 libsynce-dbg - Helper library for SynCE, a tool to sync Windows Mobile devices
 libsynce0  - Helper library for SynCE, a tool to sync Windows Mobile devices
 libsynce0-dev - Helper library for SynCE, a tool to sync Windows Mobile devices
Closes: 469970
Changes: 
 libsynce (0.11-3) unstable; urgency=low
 .
   * debian/control: Fixed libsynce0-dev's depends. (Closes: #469970)
Files: 
 eb52daa460d8dc3e01f9dc12310c7c73 851 libs optional libsynce_0.11-3.dsc
 8fecdc68042bb70f6b4195c8bb1404b1 3080 libs optional libsynce_0.11-3.diff.gz
 3a70f90d8ea85268f2e46167dbf454ba 37380 libdevel optional libsynce0-dev_0.11-3_i386.deb
 7ff2f6eb5ee63d99b59de8c1b4da4704 37110 libdevel extra libsynce-dbg_0.11-3_i386.deb
 e04591e0005428117ee5271cfc25336b 22496 libs optional libsynce0_0.11-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+L3HfDt5cIjHwfcRAuDJAKCKpBRTOKc2NW4t9h5pslcIsCZoVgCglzUv
Bh6PhT3S+sRvR4JGRRlLR/8=
=vL0D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 09:51:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:03:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.